package com.koobietech.eas.dao.mapper;

import com.koobietech.eas.dao.login.pojo.Department;
import com.koobietech.eas.dao.login.pojo.Permission;
import com.koobietech.eas.dao.login.pojo.UserDetail;

import java.util.List;

/**
 * @author lc
 */
public interface AdminLoginMapper {
    List<Permission> getUserPermissionsById(Long adminId);

    List<Department> getUserDepartmentsById(Long adminId);

    UserDetail getUserDetailById(Long adminId);

    List<Permission> getStudentPermissionsById(Long adminId);

    List<Department> getStudentDepartmentsById(Long adminId);

    UserDetail getStudentDetailById(Long adminId);

}
